Package org.eclipse.emf.cdo.server.db.mapping

# Class ListDeltaWork

java.lang.Object
org.eclipse.emf.cdo.server.db.mapping.ListDeltaWork

public final class ListDeltaWork extends Object
The semantic arguments of one `IListMappingDeltaSupport.processDelta(org.eclipse.emf.cdo.server.db.IDBStoreAccessor, org.eclipse.emf.cdo.common.id.CDOID, int, int, int, long, org.eclipse.emf.cdo.common.revision.delta.CDOListFeatureDelta)` invocation.

Since:
  4.15
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`UNSPECIFIED_LIST_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`ListDeltaWork(CDOID id, int branchId, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta)`
`ListDeltaWork(CDOID id, int branchId, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta, int newListSize)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBranchId()`
`long`
`getCreated()`
`CDOListFeatureDelta`
`getDelta()`
`CDOID`
`getID()`
`int`
`getNewListSize()`
Returns the semantic size after the delta has been planned, or `UNSPECIFIED_LIST_SIZE` if it was not planned.
`int`
`getNewVersion()`
`int`
`getOldVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNSPECIFIED_LIST_SIZE

public static final int UNSPECIFIED_LIST_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### ListDeltaWork

public ListDeltaWork(CDOID id, int branchId, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta)

### ListDeltaWork

public ListDeltaWork(CDOID id, int branchId, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta, int newListSize)

## Method Details

### getID

public CDOID getID()

### getBranchId

public int getBranchId()

### getOldVersion

public int getOldVersion()

### getNewVersion

public int getNewVersion()

### getCreated

public long getCreated()

### getDelta

public CDOListFeatureDelta getDelta()

### getNewListSize

public int getNewListSize()
Returns the semantic size after the delta has been planned, or `UNSPECIFIED_LIST_SIZE` if it was not planned.